#!/bin/sh
#
#
# Update/Install Gskit 
#
#

OS=`uname -s`
PROCESSOR=`uname -p`

if [ -z "$1" ]
then
        SRCDIR=`pwd`;
else
        SRCDIR=$1;
fi

if [ -z "$WS_CP_REDIRECT_GSKIT_OUTPUT" ]
then
        WS_CP_REDIRECT_GSKIT_OUTPUT="/dev/null"
fi

echo "OS found: $OS" 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT

case "$OS" in 
          "AIX") 
                 installp -ac -d $SRCDIR GSKit8.gskcrypt32.ppc.rte 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                 installp -ac -d $SRCDIR GSKit8.gskssl32.ppc.rte 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
          ;;
          "SunOS")
                 pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8cry32 -G 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT &&
                 pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8ssl32 -G 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT

                 # If pkgadd fails, it could be that the -G option does not work. Try again without it.
                 if [ "$?" -ne 0 ]
                 then
                     pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8cry32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT &&
                     pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8ssl32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                 fi
          ;;
          "HP-UX")
                 swreg -l depot $SRCDIR/gskcrypt32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                 swinstall -s $SRCDIR/gskcrypt32 gskcrypt32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                 swreg -l depot $SRCDIR/gskssl32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                 swinstall -s $SRCDIR/gskssl32 gskssl32 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
          ;;
          "Linux" )
                  case "$PROCESSOR" in
                                    "s390"*)
                                            rpm -Uh --nodeps $SRCDIR/gskcrypt31*.rpm 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                                            rpm -Uh --nodeps $SRCDIR/gskssl31*.rpm 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                                    ;;
                                    *)
                                      rpm -Uh --nodeps $SRCDIR/gskcrypt32*.rpm 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                                      rpm -Uh --nodeps $SRCDIR/gskssl32*.rpm 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                                    ;;
                   esac
          ;;
          *)
                  echo "ERROR: Can't determine platform!" 2>> $WS_CP_REDIRECT_GSKIT_OUTPUT >> $WS_CP_REDIRECT_GSKIT_OUTPUT
                  exit -1 
          ;;
esac
